#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
Contains all environment variables required by the package
"""

import os

DYNAMO_ENGINE_TABLE = os.environ.get('DYNAMO_ENGINE_TABLE')
DYNAMO_EXPORT_AD_TABLE = os.environ.get('DYNAMO_EXPORT_AD_TABLE')
DYNAMO_EXPORT_WF_TABLE = os.environ.get('DYNAMO_EXPORT_WF_TABLE')
DYNAMO_GENERIC_RW_CAP = int(os.environ.get('DYNAMO_GENERIC_RW_CAP'))
DYNAMO_IMPORT_AD_TABLE = os.environ.get('DYNAMO_IMPORT_AD_TABLE')
DYNAMO_IMPORT_WF_TABLE = os.environ.get('DYNAMO_IMPORT_WF_TABLE')
DYNAMO_METADATA_TABLE = os.environ.get('DYNAMO_METADATA_TABLE')
DYNAMO_METADATA_PATTERNS_TABLE = os.environ.get(
    'DYNAMO_METADATA_PATTERNS_TABLE')
DYNAMO_PRELOGIN_READ_UNITS = int(os.environ.get('DYNAMO_PRELOGIN_READ_UNITS'))
DYNAMO_PRELOGIN_WRITE_UNITS = int(
    os.environ.get('DYNAMO_PRELOGIN_WRITE_UNITS'))
DYNAMO_REGION = os.environ.get('DYNAMO_REGION')
DYNAMO_RUN_META_TABLE = os.environ.get('DYNAMO_RUN_META_TABLE')
DYNAMO_USER_PROFILE_TABLE = os.environ.get('DYNAMO_USER_PROFILE_TABLE')
DYNAMO_USER_REQUEST_TABLE = os.environ.get('DYNAMO_USER_REQUEST_TABLE')
DYNAMO_ITERATION_METADATA_TABLE = os.environ.get('DYNAMO_ITERATION_METADATA_TABLE')
DATABASE_CERTIFICATE=os.environ.get('DATABASE_CERTIFICATE')
PRIVATE_DATA_BUCKET=os.environ.get('PRIVATE_DATA_BUCKET')